Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000459Core InformPropertiespublic2010-12-08 09:102014-05-07 07:33
Assigned Tograham 
PlatformOSOS Version
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000459: Printed name property does not always match
DescriptionIf you don't explicitly set the printed name of an object, I7 gives it a default printed name from its source-name. This is also true of anonymously-created objects (named for the kind).

However, these default names are distinct I6 strings. They don't go into the SC_* constant list, and therefore they fail I7 matching tests.

Minimal Source Text To Reproduce
The Kitchen is a room.

The stone is a thing in the Kitchen. The printed name is "stone".
The rock is a thing in the Kitchen.
An animal is in every room.

When play begins:
	say "[stone]: ";
	if the printed name of the stone is "stone":
		say "match.";
		say "fail.";
	say "[rock]: ";
	if the printed name of the rock is "rock":
		say "match.";
		say "fail.";
	let P be a random animal in the Kitchen;
	say "[P]: ";
	if the printed name of P is "animal":
		say "match.";
		say "fail.";
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
graham (administrator)
2014-03-13 11:49

Fixed as a result of other changes.

- Issue History
Date Modified Username Field Change
2010-12-08 09:10 zarf New Issue
2010-12-08 19:19 jmcgrew Status new => acknowledged
2010-12-09 10:25 EmacsUser Status acknowledged => confirmed
2014-03-13 11:49 graham Note Added: 0002552
2014-03-13 11:49 graham Status confirmed => resolved
2014-03-13 11:49 graham Resolution open => fixed
2014-03-13 11:49 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker